PDFDictionaryType (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pdf.extensions

## Enum PDFDictionaryType

- java.lang.Object
- - java.lang.Enum<PDFDictionaryType>
  - - org.apache.fop.render.pdf.extensions.PDFDictionaryType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PDFDictionaryType>

      public enum PDFDictionaryType
      extends java.lang.Enum<PDFDictionaryType>

  Enumeration type for PDF dictionary extension elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Action`
    `Catalog`
    `Dictionary`
    `Info` Document Information Dictionary
    `Layer`
    `Navigator`
    `Page`
    `PagePiece`
    `VT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `elementName()`
    `boolean` | `usesIDAttribute()`
    `static PDFDictionaryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PDFDictionaryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Action

          public static final PDFDictionaryType Action

    - #### Catalog

          public static final PDFDictionaryType Catalog

    - #### Dictionary

          public static final PDFDictionaryType Dictionary

    - #### Layer

          public static final PDFDictionaryType Layer

    - #### Navigator

          public static final PDFDictionaryType Navigator

    - #### Page

          public static final PDFDictionaryType Page

    - #### Info

          public static final PDFDictionaryType Info

      Document Information Dictionary

    - #### VT

          public static final PDFDictionaryType VT

    - #### PagePiece

          public static final PDFDictionaryType PagePiece

  - ### Method Detail

    - #### values

          public static PDFDictionaryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PDFDictionaryType c : PDFDictionaryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PDFDictionaryType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### elementName

          public java.lang.String elementName()

    - #### usesIDAttribute

          public boolean usesIDAttribute()

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.